> This page is for Plattform, version V4 (default).
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 Experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Vorgängerversion: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Arbeitsbereiche auflisten

GET https://api.frame.io/v4/accounts/{account_id}/workspaces

List workspaces for a given account. Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/workspaces/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)

### Query parameters

- `include` (enum, optional)
  - Allowed values: `creator`
- `sort` (enum, optional) — Sort workspaces by query params
  - Allowed values: `name_asc`, `created_at_asc`, `name_desc`, `created_at_desc`
- `after` (string, optional) — Opaque Cursor query param for requests returning paginated results. NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.
- `page_size` (integer, optional, default: 50)
- `include_total_count` (boolean, optional, default: false)

## Response

### 200

OK

- `data` (list of WorkspaceWithIncludes, required) — Workspaces
- `links` (Links, required) — Links to paginated data
- `total_count` (integer, optional, nullable) — Total count

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### WorkspaceWithIncludes

Frame.io workspace

- `account_id` (string, required) — Account ID
- `created_at` (string, required) — Created Timestamp
- `id` (string, required) — Workspace ID
- `name` (string, required) — Workspace Name
- `updated_at` (string, required) — Updated Timestamp
- `image` (string, optional, nullable) — URL of the workspace image (icon). Null when no image has been uploaded.
- `creator` (User, optional) — User details

### Links

Links to paginated data

- `next` (string, required, nullable) — "Link to next page of data. This link is the request path with the addition of the `after` query parameter to fetch the next page of results. It only carries the `after` cursor. Other query params from the original request (e.g. `include`, `sort`, `page_size`, `include_total_count`, filters) are not preserved and must be re-added by the client on every subsequent request, including when following this link.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### User

User details

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `name` (string, required, nullable) — User name
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "account_id": "eaf8c92d-3e4b-4141-9f37-45ad9ee61666",
      "created_at": "2024-01-25T19:18:29.614189Z",
      "id": "2f046a62-f6b9-48e0-8f85-d3db025e1791",
      "name": "My Workspace",
      "updated_at": "2024-02-07T16:44:41.986478Z",
      "image": "https://picture.frame.io/image/convert/frameio-uploads-development/teams/d5e6011c-2bc9-4596-be05-77d562627112/team_image_original.png",
      "creator": {
        "active": true,
        "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
        "email": "user_email@example.com",
        "id": "7cf3b0de-bf3e-41ab-9a14-67ed4cc226a9",
        "name": "Jon Doe",
        "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
      }
    }
  ],
  "links": {
    "next": "/v4/accounts/123/workspaces"
  },
  "total_count": 10
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/b0c6b063-5889-4172-b2c8-04519197f4b7/workspaces")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```